Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/phytrac_mod.F90
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/phytrac_mod.F90	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/phytrac_mod.F90	(revision 3411)
@@ -49,5 +49,5 @@
 !$OMP THREADPRIVATE(d_tr_trsp,d_tr_sscav,d_tr_sat,d_tr_uscav,qPr,qDi)
 !$OMP THREADPRIVATE(d_tr_insc,d_tr_bcscav,d_tr_evapls,d_tr_ls,qPrls)
-!$OMP THREADPRIVATE(d_tr_cl,d_tr_dry,flux_tr_dry,d_tr_dec,d_tr_cv)
+!$OMP THREADPRIVATE(d_tr,d_tr_cl,d_tr_dry,flux_tr_dry,d_tr_dec,d_tr_cv)
 
 
@@ -104,9 +104,7 @@
     USE traccoag_mod
     USE phys_local_var_mod, ONLY: mdw
-    USE phys_local_var_mod, ONLY: budg_dep_dry_ocs,   budg_dep_wet_ocs
-    USE phys_local_var_mod, ONLY: budg_dep_dry_so2,   budg_dep_wet_so2
     USE phys_local_var_mod, ONLY: budg_dep_dry_h2so4, budg_dep_wet_h2so4
     USE phys_local_var_mod, ONLY: budg_dep_dry_part,  budg_dep_wet_part
-    USE infotrac, ONLY: nbtr_sulgas, id_OCS_strat, id_SO2_strat, id_H2SO4_strat
+    USE infotrac, ONLY: nbtr_sulgas, id_SO2_strat, id_H2SO4_strat
     USE aerophys
 #endif
@@ -509,7 +507,4 @@
                 ENDIF
 
-             CASE('repr')
-                 flag_cvltr(it)=.false.
-
              CASE('inca')
 !                IF ((it.EQ.id_Rn222) .OR. ((it.GE.id_SO2) .AND. (it.LE.id_NH3)) ) THEN 
@@ -706,6 +701,4 @@
        IF (type_trac=='coag') THEN
          ! initialize wet deposition flux of sulfur
-         budg_dep_wet_ocs(:)=0.0
-         budg_dep_wet_so2(:)=0.0
          budg_dep_wet_h2so4(:)=0.0
          budg_dep_wet_part(:)=0.0
@@ -716,11 +709,5 @@
          DO it = 1, nbtr
          !do not include SO2 because most of it comes trom the troposphere
-           IF (it==id_OCS_strat) THEN
-             budg_dep_wet_ocs(i)=budg_dep_wet_ocs(i)+d_tr_cv(i,k,it)*(mSatom/mOCSmol) &
-                            & *(paprs(i,k)-paprs(i,k+1))/RG/pdtphys
-           ELSEIF (it==id_SO2_strat) THEN
-             budg_dep_wet_so2(i)=budg_dep_wet_so2(i)+d_tr_cv(i,k,it)*(mSatom/mSO2mol) &
-                            & *(paprs(i,k)-paprs(i,k+1))/RG/pdtphys
-           ELSEIF (it==id_H2SO4_strat) THEN
+           IF (it==id_H2SO4_strat) THEN
              budg_dep_wet_h2so4(i)=budg_dep_wet_h2so4(i)+d_tr_cv(i,k,it)*(mSatom/mH2SO4mol) &
                             & *(paprs(i,k)-paprs(i,k+1))/RG/pdtphys
@@ -747,10 +734,5 @@
              d_tr_th(i,k,it)=0.
              tr_seri(i,k,it)=MAX(tr_seri(i,k,it),0.)
-! the next safeguard causes some problem for stratospheric aerosol tracers (particle number)
-! and there is little justification for it so it is commented out (4 December 2017) by OB
-! if reinstated please keep the ifndef CPP_StratAer
-!#ifndef CPP_StratAer
-!             tr_seri(i,k,it)=MIN(tr_seri(i,k,it),1.e10)
-!#endif
+             tr_seri(i,k,it)=MIN(tr_seri(i,k,it),1.e10)
           END DO
        END DO
@@ -788,6 +770,4 @@
 
          ! initialize dry deposition flux of sulfur
-         budg_dep_dry_ocs(:)=0.0
-         budg_dep_dry_so2(:)=0.0
          budg_dep_dry_h2so4(:)=0.0
          budg_dep_dry_part(:)=0.0
@@ -824,9 +804,5 @@
              IF (type_trac=='coag') THEN
                ! compute dry deposition flux of sulfur (sum over gases and particles)
-               IF (it==id_OCS_strat) THEN
-                 budg_dep_dry_ocs(:)=budg_dep_dry_ocs(:)-source(:,it)*(mSatom/mOCSmol)
-               ELSEIF (it==id_SO2_strat) THEN
-                 budg_dep_dry_so2(:)=budg_dep_dry_so2(:)-source(:,it)*(mSatom/mSO2mol)
-               ELSEIF (it==id_H2SO4_strat) THEN
+               IF (it==id_H2SO4_strat) THEN
                  budg_dep_dry_h2so4(:)=budg_dep_dry_h2so4(:)-source(:,it)*(mSatom/mH2SO4mol)
                ELSEIF (it.GT.nbtr_sulgas) THEN
@@ -914,11 +890,5 @@
            DO k = 1, klev
            DO it = 1, nbtr
-             IF (it==id_OCS_strat) THEN
-               budg_dep_wet_ocs(i)=budg_dep_wet_ocs(i)+d_tr_ls(i,k,it)*(mSatom/mOCSmol) &
-                              & *(paprs(i,k)-paprs(i,k+1))/RG/pdtphys
-             ELSEIF (it==id_SO2_strat) THEN
-               budg_dep_wet_so2(i)=budg_dep_wet_so2(i)+d_tr_ls(i,k,it)*(mSatom/mSO2mol) &
-                              & *(paprs(i,k)-paprs(i,k+1))/RG/pdtphys
-             ELSEIF (it==id_H2SO4_strat) THEN
+             IF (it==id_H2SO4_strat) THEN
                budg_dep_wet_h2so4(i)=budg_dep_wet_h2so4(i)+d_tr_ls(i,k,it)*(mSatom/mH2SO4mol) &
                               & *(paprs(i,k)-paprs(i,k+1))/RG/pdtphys
